<?php
/*
Plugin Name: Genium GDPR Consent Popup
Plugin URI: https://wwww.geniumcreative.com
Description: Consent Popup.
Version: 1.0.1
Author: Nuno Sarmento
Author URI: https://wwww.nuno-sarmento.com
Text Domain: genium-gdpr-consent-popup
Domain Path: /languages
*/
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
/**
 * Define constants
 **/
if ( ! defined( 'GGCP_PLUGIN_URL' ) ) {
	define( 'GGCP_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
}

if ( is_admin() ) {
	require_once dirname( __FILE__ ) . '/admin/class-ggcp-admin.php';
	$GGCP_Admin = new GGCP_Admin();
	$GGCP_Admin -> init();

	$options = get_option( 'ctcc_options_settings' );
	// Add the metafield if enabled
	if( ! empty( $options['enable_metafield'] ) ) {
		require_once dirname( __FILE__ ) . '/admin/class-ggcp-metafield.php';
		$GGCP_Metafield = new GGCP_Metafield();
		$GGCP_Metafield -> init();
	}
} else {
	require_once dirname( __FILE__ ) . '/public/class-ggcp-public.php';
	$GGCP_Public = new GGCP_Public();
	$GGCP_Public -> init();
}
require_once dirname( __FILE__ ) . '/public/customizer.php';


function ggcp_load_plugin_textdomain() {
    load_plugin_textdomain( 'genium-gdpr-consent-popup', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
}
add_action( 'plugins_loaded', 'ggcp_load_plugin_textdomain' );

/*
 * Automatically create cookie policy page on activation
 *
 */
function ggcp_create_policy_page() {
	//Check to see if the info page has been created
	$more_info_page = get_option ( 'ggcp_more_info_page' );
	if ( empty ( $more_info_page ) ) { // The page hasn't been set yet
		// Create the page parameters
		$pagename = __( 'GDPR Policy', 'genium-gdpr-consent-popup' );
		$content = __( 'This site DGPR privacy policy. We suggest consulting the GDPR page at <a href="https://www.eugdpr.org/">eugdpr.org</a>', 'genium-gdpr-consent-popup' );
		$cpage = get_page_by_title ( $pagename ); // Double check there's not already a Cookie Policy page
		if ( !$cpage ) {
			global $user_ID;
			$page['post_type']    = 'page';
			$page['post_content'] = $content;
			$page['post_parent']  = 0;
			$page['post_author']  = $user_ID;
			$page['post_status']  = 'publish';
			$page['post_title']   = $pagename;
			$pageid = wp_insert_post ( $page );
		} else {
			// There's already a page called Cookie Policy so we'll use that
			$pageid = $cpage -> ID;
		}
		// Update the option
		update_option ( 'ggcp_more_info_page', $pageid );
	}
}
register_activation_hook ( __FILE__, 'ggcp_create_policy_page' );
