<?php
/*
 * Customizer
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

function ctcc_customize_register( $wp_customize ) {
	// Do stuff with $wp_customize, the WP_Customize_Manager object.
	//$options = get_option( 'ctcc_styles_settings' );
	//echo $options['text_color'];

	$wp_customize -> add_section ( 'cctc', array (
		'title'		=>	__( 'Genium - GDPR Consent Popup', 'genium-gdpr-consent-popup' ),
		'priority'	=> 	999
	) );

	$wp_customize -> add_setting( 'ctcc_styles_settings[position]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[position]', array(
		'type' 					=> 'select',
		'priority' 				=> 1, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Position', 'genium-gdpr-consent-popup' ),
		'choices'				=> array (
			'top-bar' 				=> __( 'Top Bar', 'genium-gdpr-consent-popup' ),
			'bottom-bar' 			=> __( 'Bottom Bar', 'genium-gdpr-consent-popup' ),
			'top-left-block' 		=> __( 'Top Left Block', 'genium-gdpr-consent-popup' ),
			'top-right-block' 		=> __( 'Top Right Block', 'genium-gdpr-consent-popup' ),
			'bottom-left-block'	 	=> __( 'Bottom Left Block', 'genium-gdpr-consent-popup' ),
			'bottom-right-block'	=> __( 'Bottom Right Block', 'genium-gdpr-consent-popup' ),
		),
		'description' 			=> __( 'Position and placement.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[container_class]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[container_class]', array(
		'type' 					=> 'text',
		'priority' 				=> 2, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Container Class', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Optional wrapper class.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[enqueue_styles]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[enqueue_styles]', array(
		'type' 					=> 'checkbox',
		'priority' 				=> 4, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Enqueue Styles', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Deselect this to dequeue the plugin stylesheet.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[rounded_corners]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[rounded_corners]', array(
		'type' 					=> 'checkbox',
		'priority' 				=> 6, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Rounded Corners', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Round the corners on the block.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[drop_shadow]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[drop_shadow]', array(
		'type' 					=> 'checkbox',
		'priority' 				=> 8, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Drop Shadow', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Add drop shadow to the block.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[display_accept_with_text]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[display_accept_with_text]', array(
		'type' 					=> 'checkbox',
		'priority' 				=> 9, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Display Button With Text', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Deselect to float button to right.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[x_close]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[x_close]', array(
		'type' 					=> 'checkbox',
		'priority' 				=> 10, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Use X Close', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Replace confirmation button with \'X\' icon.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[text_color]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[text_color]', array(
		'type' 					=> 'color',
		'priority' 				=> 15, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Text Color', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Text color for your notification bar.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[bg_color]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[bg_color]', array(
		'type' 					=> 'color',
		'priority' 				=> 20, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Background Color', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Background color for your notification bar.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[link_color]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[link_color]', array(
		'type' 					=> 'color',
		'priority' 				=> 30, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Link Color', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Link color for your notification bar.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[button_color]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[button_color]', array(
		'type' 					=> 'color',
		'priority' 				=> 40, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Button Color', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Text color for your notification bar button.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[button_bg_color]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[button_bg_color]', array(
		'type' 					=> 'color',
		'priority' 				=> 50, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Button Background', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Background color for your notification bar button.', 'genium-gdpr-consent-popup' )
	) );
	$wp_customize -> add_setting( 'ctcc_styles_settings[flat_button]', array(
		'type' 					=> 'option', // or 'option'
		'capability' 			=> 'edit_theme_options',
		'theme_supports' 		=> '', // Rarely needed.
		'default' 				=> '',
		'transport'				=> 'refresh', // or postMessage
		'sanitize_callback' 	=> '',
		'sanitize_js_callback' 	=> '', // Basically to_json.
	) );
	$wp_customize -> add_control( 'ctcc_styles_settings[flat_button]', array(
		'type' 					=> 'checkbox',
		'priority' 				=> 60, // Within the section.
		'section' 				=> 'cctc', // Required, core or custom.
		'label' 				=> __( 'Flat Button', 'genium-gdpr-consent-popup' ),
		'description' 			=> __( 'Deselect to inherit button styles from the theme.', 'genium-gdpr-consent-popup' )
	) );
}
add_action( 'customize_register', 'ctcc_customize_register' );
